import request from '@/utils/request'

// 查询样品管理列表
export function listSampleInfo(query) {
  return request({
    url: '/sample/sampleInfo/list',
    method: 'get',
    params: query
  })
}

// 查询样品管理详细
export function getSampleInfo(id) {
  return request({
    url: '/sample/sampleInfo/' + id,
    method: 'get'
  })
}

// 新增样品管理
export function addSampleInfo(data) {
  return request({
    url: '/sample/sampleInfo',
    method: 'post',
    data: data
  })
}

// 修改样品管理
export function updateSampleInfo(data) {
  return request({
    url: '/sample/sampleInfo',
    method: 'put',
    data: data
  })
}

// 删除样品管理
export function delSampleInfo(id) {
  return request({
    url: '/sample/sampleInfo/' + id,
    method: 'delete'
  })
}
